> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getversive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Interview By VID

Retrieve an interview using its public VID (Visitor ID). Useful for client-side applications.


## OpenAPI

````yaml GET /api/v1/interviews
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.getversive.com
security: []
paths:
  /api/v1/interviews:
    get:
      tags:
        - Interviews
      summary: Get Interview By Vid
      operationId: get_interview_by_vid_api_v1_interviews_get
      parameters:
        - name: vid
          in: query
          required: true
          schema:
            type: string
            title: Vid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                status: completed
                metadata: {}
                created_at: '2024-01-01T00:00:00Z'
                progress: 100
                conversation_json:
                  - role: assistant
                    content: Hello! I'm the interviewer.
                  - role: user
                    content: Hi there.
                is_mock: false
                is_archived: false
                language: English
                type: VERSIVE
                notes: Good interview.
                title: User Interview 1
                completed_at: '2024-01-01T00:10:00Z'
                started_at: '2024-01-01T00:00:00Z'
                ended_at: '2024-01-01T00:10:00Z'
                transcript: ...
                parsed_conversation_json: {}
                recording_id: rec_123
                active_time: 600
                link: https://getversive.com/s/study_id?vid=vid_123
                vid: vid_123
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - body
                      - title
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````